> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/set-auto-fueling-to-on-or-off",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Set auto fueling to on or off

> Toggles the auto fueling property of the vault account to enabled or disabled.
Vault Accounts with 'autoFuel=true' are monitored and auto fueled by the Fireblocks Gas Station.
Learn more about the Fireblocks Gas Station in the following [guide](https://developers.fireblocks.com/docs/work-with-gas-station).
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/{vaultAccountId}/set_auto_fuel
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/set_auto_fuel:
    post:
      tags:
        - Vaults
      summary: Set auto fueling to on or off
      description: >-
        Toggles the auto fueling property of the vault account to enabled or
        disabled.

        Vault Accounts with 'autoFuel=true' are monitored and auto fueled by the
        Fireblocks Gas Station.

        Learn more about the Fireblocks Gas Station in the following
        [guide](https://developers.fireblocks.com/docs/work-with-gas-station).

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: setVaultAccountAutoFuel
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The vault account ID
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetAutoFuelRequest'
      responses:
        '201':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultActionStatus'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<VaultActionStatus>> =
            fireblocks.vaults.setVaultAccountAutoFuel(vaultsApiSetVaultAccountAutoFuelRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<VaultActionStatus>> response =
            fireblocks.vaults().setVaultAccountAutoFuel(setAutoFuelRequest,
            vaultAccountId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.set_vault_account_auto_fuel(set_auto_fuel_request,
            vault_account_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    SetAutoFuelRequest:
      type: object
      properties:
        autoFuel:
          description: Auto Fuel
          type: boolean
    VaultActionStatus:
      type: object
      properties:
        success:
          type: boolean
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````